Bug 84974 - Update port gnome x11/workrave from 1.6 to 1.8 (solves kde problem)
Summary: Update port gnome x11/workrave from 1.6 to 1.8 (solves kde problem)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-16 05:30 UTC by Alex de Kruijff
Modified: 2006-01-04 20:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex de Kruijff 2005-08-16 05:30:22 UTC

Fix: 

s is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       .
#       ./files
#       ./files/patch-frontend-common-src-system
#       ./distinfo
#       ./pkg-descr
#       ./pkg-plist
#       ./port.txt
#       ./Makefile
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo c - ./files
mkdir -p ./files > /dev/null 2>&1
echo x - ./files/patch-frontend-common-src-system
sed 's/^X//' >./files/patch-frontend-common-src-system << 'END-of-./files/patch-
frontend-common-src-system'
X--- frontend/common/src/System.cc      Sat Aug 13 19:16:05 2005
X+++ frontend/common/src/System.cc      Sat Aug 13 19:16:16 2005
X@@ -20,6 +20,7 @@
X #include <glib.h>
X #include <stdlib.h>
X #include <string.h>
X+#include <strings.h>
X
X #include "System.hh"
X #include "debug.hh"
END-of-./files/patch-frontend-common-src-system
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (workrave-1.8.1.tar.gz) = 3a22ef8488fc2c9fe3b02f9c33b1cfb2
XSIZE (workrave-1.8.1.tar.gz) = 1622128
END-of-./distinfo
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XWorkrave is a program that assists in the recovery and prevention of
XRepetitive Strain Injury (RSI). The program frequently alerts you to
Xtake micro-pauses, rest breaks and restricts you to your daily limit.
XThese can be customized and it stops the counter when you stop.
X
XThe program can be run distributed on one or more PCs. All connected
XPCs share the same timing information. When you switch computers, you
Xwill still be asked to pause on time.
X
XWWW: http://www.workrave.org/
END-of-./pkg-descr
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
Xbin/workrave
Xetc/sound/events/workrave.soundlist
Xlibdata/bonobo/servers/Workrave-Applet.server  
Xlibdata/bonobo/servers/Workrave-Control.server
Xlibexec/workrave-applet
Xshare/gnome/gnome-2.0/ui/GNOME_WorkraveApplet.xml
Xshare/gnome/pixmaps/workrave/workrave-icon-huge.png
Xshare/gnome/sounds/workrave/break-ignored.wav
Xshare/gnome/sounds/workrave/break-prelude.wav
Xshare/gnome/sounds/workrave/daily-limit.wav
Xshare/gnome/sounds/workrave/exercise-ended.wav
Xshare/gnome/sounds/workrave/exercises-ended.wav
Xshare/gnome/sounds/workrave/micro-break-ended.wav
Xshare/gnome/sounds/workrave/micro-break-started.wav
Xshare/gnome/sounds/workrave/rest-break-ended.wav
Xshare/gnome/sounds/workrave/rest-break-started.wav
Xshare/gnome/workrave/exercises/backward-shoulder-stretch.png   
Xshare/gnome/workrave/exercises/chair-pushup-1.png
Xshare/gnome/workrave/exercises/chair-pushup-2.png
Xshare/gnome/workrave/exercises/depth-focus-1.png
Xshare/gnome/workrave/exercises/depth-focus-2.png
Xshare/gnome/workrave/exercises/exercises.xml
Xshare/gnome/workrave/exercises/eye-darkness.png
Xshare/gnome/workrave/exercises/finger-stretch-1.png
Xshare/gnome/workrave/exercises/finger-stretch-2.png
Xshare/gnome/workrave/exercises/monitor-border-1.png
Xshare/gnome/workrave/exercises/monitor-border-2.png
Xshare/gnome/workrave/exercises/monitor-border-3.png
Xshare/gnome/workrave/exercises/monitor-border-4.png
Xshare/gnome/workrave/exercises/neck-tilt-stretch-1.png
Xshare/gnome/workrave/exercises/neck-tilt-stretch-2.png
Xshare/gnome/workrave/exercises/rotate-arm.png
Xshare/gnome/workrave/exercises/shoulder-arm-stretch.png
Xshare/gnome/workrave/exercises/turn-head-1.png  
Xshare/gnome/workrave/exercises/turn-head-2.png
Xshare/gnome/workrave/exercises/wrist-lower-arm-desk-stretch-1.png   
Xshare/gnome/workrave/images/daily-limit.png
Xshare/gnome/workrave/images/display.png
Xshare/gnome/workrave/images/lock.png
Xshare/gnome/workrave/images/micro-break.png
Xshare/gnome/workrave/images/monitoring.png
Xshare/gnome/workrave/images/network.png
Xshare/gnome/workrave/images/prelude-hint-sad.png
Xshare/gnome/workrave/images/prelude-hint.png
Xshare/gnome/workrave/images/rest-break.png
Xshare/gnome/workrave/images/shutdown.png
Xshare/gnome/workrave/images/time.png
Xshare/gnome/workrave/images/timer-daily.png
Xshare/gnome/workrave/images/timer-micro-break.png
Xshare/gnome/workrave/images/timer-rest-break.png
Xshare/gnome/workrave/images/workrave-icon-huge.png
Xshare/gnome/workrave/images/workrave-icon-large.png
Xshare/gnome/workrave/images/workrave-icon-medium.png
Xshare/gnome/workrave/images/workrave-icon-small.png
Xshare/gnome/workrave/images/workrave-quiet-icon-medium.png
Xshare/gnome/workrave/images/workrave-suspended-icon-medium.png
Xshare/gnome/workrave/images/workrave.png   
Xshare/locale/cs/LC_MESSAGES/workrave.po
Xshare/locale/da/LC_MESSAGES/workrave.po
Xshare/locale/de/LC_MESSAGES/workrave.po
Xshare/locale/eo/LC_MESSAGES/workrave.po
Xshare/locale/es/LC_MESSAGES/workrave.po
Xshare/locale/eu/LC_MESSAGES/workrave.po
Xshare/locale/fr/LC_MESSAGES/workrave.po
Xshare/locale/he/LC_MESSAGES/workrave.po
Xshare/locale/lt/LC_MESSAGES/workrave.po
Xshare/locale/nl/LC_MESSAGES/workrave.po
Xshare/locale/no/LC_MESSAGES/workrave.po
Xshare/locale/pl/LC_MESSAGES/workrave.po
Xshare/locale/pt_BR/LC_MESSAGES/workrave.po
Xshare/locale/ru/LC_MESSAGES/workrave.po
Xshare/locale/zh_TW/LC_MESSAGES/workrave.po
X@dirrm share/pixmaps
X@dirrm share/gnome/xmodmap
X@dirrm share/gnome/workrave/images
X@dirrm share/gnome/workrave/exercises
X@dirrm share/gnome/workrave
X@dirrm share/gnome/wm-properties
X@dirrm share/gnome/vfolders
X@dirrm share/gnome/ui
X@dirrm share/gnome/themes
X@dirrm share/gnome/sounds/workrave
X@dirrm share/gnome/sounds
X@dirrm share/gnome/sgml/docbook/gnome-customization-0.1
X@dirrm share/gnome/sgml/docbook
X@dirrm share/gnome/sgml
X@dirrm share/gnome/pixmaps/workrave
X@dirrm share/gnome/pixmaps/splash
X@dirrm share/gnome/pixmaps/document-icons
X@dirrm share/gnome/pixmaps
X@dirrm share/gnome/panel
X@dirrm share/gnome/omf
X@dirrm share/gnome/oaf
X@dirrm share/gnome/mime-info
X@dirrm share/gnome/mc/templates
X@dirrm share/gnome/mc
X@dirrm share/gnome/images
X@dirrm share/gnome/idl
X@dirrm share/gnome/icons
X@dirrm share/gnome/help/lgpl/C
X@dirrm share/gnome/help/lgpl
X@dirrm share/gnome/help/gpl/C
X@dirrm share/gnome/help/gpl
X@dirrm share/gnome/help/fdl/C
X@dirrm share/gnome/help/fdl
X@dirrm share/gnome/help
X@dirrm share/gnome/gnome-about
X@dirrm share/gnome/gnome-2.0/ui
X@dirrm share/gnome/gnome-2.0
X@dirrm share/gnome/games
X@dirrm share/gnome/fonts
X@dirrm share/gnome/control-center/capplets
X@dirrm share/gnome/control-center/Session
X@dirrm share/gnome/control-center/Peripherals
X@dirrm share/gnome/control-center/Documents
X@dirrm share/gnome/control-center/Desktop
X@dirrm share/gnome/control-center-2.0/capplets
X@dirrm share/gnome/control-center-2.0  
X@dirrm share/gnome/control-center
X@dirrm share/gnome/capplets
X@dirrm share/gnome/apps/Utilities
X@dirrm share/gnome/apps/System
X@dirrm share/gnome/apps/Settings/Session
X@dirrm share/gnome/apps/Settings/Peripherals
X@dirrm share/gnome/apps/Settings/Documents
X@dirrm share/gnome/apps/Settings/Desktop
X@dirrm share/gnome/apps/Settings
X@dirrm share/gnome/apps/Multimedia
X@dirrm share/gnome/apps/Internet  
X@dirrm share/gnome/apps/Graphics
X@dirrm share/gnome/apps/Games
X@dirrm share/gnome/apps/Development
X@dirrm share/gnome/apps/Audio
X@dirrm share/gnome/apps/Applications
X@dirrm share/gnome/apps
X@dirrm share/gnome/applications
X@dirrm share/gnome/application-registry
X@dirrm share/gnome/applets/Utility
X@dirrm share/gnome/applets/Network
X@dirrm share/gnome/applets/Multimedia
X@dirrm share/gnome/applets/Monitors
X@dirrm share/gnome/applets/Clocks
X@dirrm share/gnome/applets/Amusements
X@dirrm share/gnome/applets
X@dirrm share/gnome    
X@dirrm share/doc/libgda 
X@dirrm libdata/bonobo/servers 
X@dirrm libdata/bonobo
X@dirrm lib/vfs/modules
X@dirrm lib/vfs
X@dirrm lib/gnome-vfs-2.0/modules
X@dirrm lib/gnome-vfs-2.0   
X@dirrm lib/bonobo/plugin
X@dirrm lib/bonobo/monikers
X@dirrm lib/bonobo
X@dirrm lib/GConf
X@dirrm include/gnome-1.0
X@dirrm include/gdkcardimage
X@dirrm include/gconf
X@dirrm etc/vfs/modules
X@dirrm etc/vfs
X@dirrm etc/sound/events
X@dirrm etc/sound
X@dirrm etc/gnome/config
X@dirrm etc/gnome-vfs-2.0/modules
X@dirrm etc/gnome-vfs-2.0
X@dirrm etc/gnome
X@dirrm etc/gconf/schemas
X@dirrm etc/gconf/gconf.xml.mandatory
X@dirrm etc/gconf/gconf.xml.defaults
X@dirrm etc/gconf
X@dirrm etc/X11/sysconfig
X@dirrm etc/X11/starthere
X@dirrm etc/X11/serverconfig
X@dirrm etc/X11
X@dirrm etc/CORBA/servers
X@dirrm etc/CORBA
END-of-./pkg-plist
echo x - ./port.txt
sed 's/^X//' >./port.txt << 'END-of-./port.txt'
X# This is a shell archive.  Save it in a file, remove anything before
X# this line, and then unpack it by entering "sh file".  Note, it may
X# create directories; files and directories will be owned by you and
ve default permissions.
X#
X# This archive contains:
X#
X#      .
X#      ./files
X#      ./files/patch-frontend-common-src-system
X#      ./distinfo
X#      ./pkg-descr    
X#      ./pkg-plist
X#      ./port.txt
X#      ./Makefile
X#
Xecho c - .
Xmkdir -p . > /dev/null 2>&1
Xecho c - ./files
Xmkdir -p ./files > /dev/null 2>&1
Xecho x - ./files/patch-frontend-common-src-system
Xsed 's/^X//' >./files/patch-frontend-common-src-system << 'END-of-./files/patch
-frontend-common-src-system'
XX--- frontend/common/src/System.cc     Sat Aug 13 19:16:05 2005
XX+++ frontend/common/src/System.cc     Sat Aug 13 19:16:16 2005
XX@@ -20,6 +20,7 @@  
XX #include <glib.h>   
XX #include <stdlib.h>
XX #include <string.h>  
XX+#include <strings.h>
XX
XX #include "System.hh"
XX #include "debug.hh"   
XEND-of-./files/patch-frontend-common-src-system
Xecho x - ./distinfo
Xsed 's/^X//' >./distinfo << 'END-of-./distinfo'
XXMD5 (workrave-1.8.1.tar.gz) = 3a22ef8488fc2c9fe3b02f9c33b1cfb2
XXSIZE (workrave-1.8.1.tar.gz) = 1622128
XEND-of-./distinfo
Xecho x - ./pkg-descr
Xsed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XXWorkrave is a program that assists in the recovery and prevention of
XXRepetitive Strain Injury (RSI). The program frequently alerts you to
XXtake micro-pauses, rest breaks and restricts you to your daily limit.
XXThese can be customized and it stops the counter when you stop.
XX
XXThe program can be run distributed on one or more PCs. All connected
XXPCs share the same timing information. When you switch computers, you
XXwill still be asked to pause on time.
XX
XXWWW: http://www.workrave.org/
XEND-of-./pkg-descr
Xecho x - ./pkg-plist
Xsed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
XXbin/workrave
XXetc/sound/events/workrave.soundlist
XXlibdata/bonobo/servers/Workrave-Applet.server 
XXlibdata/bonobo/servers/Workrave-Control.server
XXlibexec/workrave-applet
XXshare/gnome/gnome-2.0/ui/GNOME_WorkraveApplet.xml
XXshare/gnome/pixmaps/workrave/workrave-icon-huge.png
XXshare/gnome/sounds/workrave/break-ignored.wav
XXshare/gnome/sounds/workrave/break-prelude.wav
XXshare/gnome/sounds/workrave/daily-limit.wav
XXshare/gnome/sounds/workrave/exercise-ended.wav
XXshare/gnome/sounds/workrave/exercises-ended.wav
XXshare/gnome/sounds/workrave/micro-break-ended.wav
XXshare/gnome/sounds/workrave/micro-break-started.wav
XXshare/gnome/sounds/workrave/rest-break-ended.wav
XXshare/gnome/sounds/workrave/rest-break-started.wav
XXshare/gnome/workrave/exercises/backward-shoulder-stretch.png  
XXshare/gnome/workrave/exercises/chair-pushup-1.png
XXshare/gnome/workrave/exercises/chair-pushup-2.png
XXshare/gnome/workrave/exercises/depth-focus-1.png
XXshare/gnome/workrave/exercises/depth-focus-2.png
XXshare/gnome/workrave/exercises/exercises.xml
XXshare/gnome/workrave/exercises/eye-darkness.png
XXshare/gnome/workrave/exercises/finger-stretch-1.png
XXshare/gnome/workrave/exercises/finger-stretch-2.png
XXshare/gnome/workrave/exercises/monitor-border-1.png
XXshare/gnome/workrave/exercises/monitor-border-2.png
XXshare/gnome/workrave/exercises/monitor-border-3.png
XXshare/gnome/workrave/exercises/monitor-border-4.png
XXshare/gnome/workrave/exercises/neck-tilt-stretch-1.png
XXshare/gnome/workrave/exercises/neck-tilt-stretch-2.png
XXshare/gnome/workrave/exercises/rotate-arm.png
XXshare/gnome/workrave/exercises/shoulder-arm-stretch.png
XXshare/gnome/workrave/exercises/turn-head-1.png  
XXshare/gnome/workrave/exercises/turn-head-2.png
XXshare/gnome/workrave/exercises/wrist-lower-arm-desk-stretch-1.png   
XXshare/gnome/workrave/images/daily-limit.png
XXshare/gnome/workrave/images/display.png
XXshare/gnome/workrave/images/lock.png
XXshare/gnome/workrave/images/micro-break.png
XXshare/gnome/workrave/images/monitoring.png
XXshare/gnome/workrave/images/network.png
XXshare/gnome/workrave/images/prelude-hint-sad.png
XXshare/gnome/workrave/images/prelude-hint.png
XXshare/gnome/workrave/images/rest-break.png
XXshare/gnome/workrave/images/shutdown.png
XXshare/gnome/workrave/images/time.png
XXshare/gnome/workrave/images/timer-daily.png
XXshare/gnome/workrave/images/timer-micro-break.png
XXshare/gnome/workrave/images/timer-rest-break.png
XXshare/gnome/workrave/images/workrave-icon-huge.png
XXshare/gnome/workrave/images/workrave-icon-large.png
XXshare/gnome/workrave/images/workrave-icon-medium.png
XXshare/gnome/workrave/images/workrave-icon-small.png
XXshare/gnome/workrave/images/workrave-quiet-icon-medium.png
XXshare/gnome/workrave/images/workrave-suspended-icon-medium.png
XXshare/gnome/workrave/images/workrave.png   
XXshare/locale/cs/LC_MESSAGES/workrave.po
XXshare/locale/da/LC_MESSAGES/workrave.po
XXshare/locale/de/LC_MESSAGES/workrave.po
XXshare/locale/eo/LC_MESSAGES/workrave.po
XXshare/locale/es/LC_MESSAGES/workrave.po
XXshare/locale/eu/LC_MESSAGES/workrave.po
XXshare/locale/fr/LC_MESSAGES/workrave.po
XXshare/locale/he/LC_MESSAGES/workrave.po
XXshare/locale/lt/LC_MESSAGES/workrave.po
XXshare/locale/nl/LC_MESSAGES/workrave.po
XXshare/locale/no/LC_MESSAGES/workrave.po
XXshare/locale/pl/LC_MESSAGES/workrave.po
XXshare/locale/pt_BR/LC_MESSAGES/workrave.po
XXshare/locale/ru/LC_MESSAGES/workrave.po
XXshare/locale/zh_TW/LC_MESSAGES/workrave.po
XX@dirrm share/pixmaps
XX@dirrm share/gnome/xmodmap
XX@dirrm share/gnome/workrave/images
XX@dirrm share/gnome/workrave/exercises
XX@dirrm share/gnome/workrave
XX@dirrm share/gnome/wm-properties
XX@dirrm share/gnome/vfolders
XX@dirrm share/gnome/ui
XX@dirrm share/gnome/themes
XX@dirrm share/gnome/sounds/workrave
XX@dirrm share/gnome/sounds
XX@dirrm share/gnome/sgml/docbook/gnome-customization-0.1
XX@dirrm share/gnome/sgml/docbook
XX@dirrm share/gnome/sgml
XX@dirrm share/gnome/pixmaps/workrave
XX@dirrm share/gnome/pixmaps/splash
XX@dirrm share/gnome/pixmaps/document-icons
XX@dirrm share/gnome/pixmaps
XX@dirrm share/gnome/panel
XX@dirrm share/gnome/omf
XX@dirrm share/gnome/oaf
XX@dirrm share/gnome/mime-info
XX@dirrm share/gnome/mc/templates
XX@dirrm share/gnome/mc
XX@dirrm share/gnome/images
XX@dirrm share/gnome/idl
XX@dirrm share/gnome/icons
XX@dirrm share/gnome/help/lgpl/C
XX@dirrm share/gnome/help/lgpl
XX@dirrm share/gnome/help/gpl/C
XX@dirrm share/gnome/help/gpl
XX@dirrm share/gnome/help/fdl/C
XX@dirrm share/gnome/help/fdl
XX@dirrm share/gnome/help
XX@dirrm share/gnome/gnome-about
XX@dirrm share/gnome/gnome-2.0/ui
XX@dirrm share/gnome/gnome-2.0
XX@dirrm share/gnome/games
XX@dirrm share/gnome/fonts
XX@dirrm share/gnome/control-center/capplets
XX@dirrm share/gnome/control-center/Session
XX@dirrm share/gnome/control-center/Peripherals
XX@dirrm share/gnome/control-center/Documents
XX@dirrm share/gnome/control-center/Desktop
XX@dirrm share/gnome/control-center-2.0/capplets
XX@dirrm share/gnome/control-center-2.0  
XX@dirrm share/gnome/control-center
XX@dirrm share/gnome/capplets
XX@dirrm share/gnome/apps/Utilities
XX@dirrm share/gnome/apps/System
XX@dirrm share/gnome/apps/Settings/Session
XX@dirrm share/gnome/apps/Settings/Peripherals
XX@dirrm share/gnome/apps/Settings/Documents
XX@dirrm share/gnome/apps/Settings/Desktop
XX@dirrm share/gnome/apps/Settings
XX@dirrm share/gnome/apps/Multimedia
XX@dirrm share/gnome/apps/Internet  
XX@dirrm share/gnome/apps/Graphics
XX@dirrm share/gnome/apps/Games
XX@dirrm share/gnome/apps/Development
XX@dirrm share/gnome/apps/Audio
XX@dirrm share/gnome/apps/Applications
XX@dirrm share/gnome/apps
XX@dirrm share/gnome/applications
XX@dirrm share/gnome/application-registry
XX@dirrm share/gnome/applets/Utility
XX@dirrm share/gnome/applets/Network
XX@dirrm share/gnome/applets/Multimedia
XX@dirrm share/gnome/applets/Monitors
XX@dirrm share/gnome/applets/Clocks
XX@dirrm share/gnome/applets/Amusements
XX@dirrm share/gnome/applets
XX@dirrm share/gnome    
XX@dirrm share/doc/libgda 
XX@dirrm libdata/bonobo/servers 
XX@dirrm libdata/bonobo
XX@dirrm lib/vfs/modules
XX@dirrm lib/vfs
XX@dirrm lib/gnome-vfs-2.0/modules
XX@dirrm lib/gnome-vfs-2.0   
XX@dirrm lib/bonobo/plugin
XX@dirrm lib/bonobo/monikers
XX@dirrm lib/bonobo
XX@dirrm lib/GConf
XX@dirrm include/gnome-1.0
XX@dirrm include/gdkcardimage
XX@dirrm include/gconf
XX@dirrm etc/vfs/modules
XX@dirrm etc/vfs
XX@dirrm etc/sound/events
XX@dirrm etc/sound
XX@dirrm etc/gnome/config
XX@dirrm etc/gnome-vfs-2.0/modules
XX@dirrm etc/gnome-vfs-2.0
XX@dirrm etc/gnome
XX@dirrm etc/gconf/schemas
XX@dirrm etc/gconf/gconf.xml.mandatory
XX@dirrm etc/gconf/gconf.xml.defaults
XX@dirrm etc/gconf
XX@dirrm etc/X11/sysconfig
XX@dirrm etc/X11/starthere
XX@dirrm etc/X11/serverconfig
XX@dirrm etc/X11
XX@dirrm etc/CORBA/servers
XX@dirrm etc/CORBA
XEND-of-./pkg-plist
Xecho x - ./port.txt
Xsed 's/^X//' >./port.txt << 'END-of-./port.txt'
END-of-./port.txt
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# New ports collection makefile for:   Workrave
X# Date created:                        15 Jul 2003
X# Whom:                                Koop Mast <einekoai@chello.nl>
X# Date modified:                13 Jul 2005
X# Whom:                         Alex de Kruijff <freebsd@akruijff.dds.nl>
X#
X# $FreeBSD: ports/x11/workrave/Makefile,v 1.13 2005/03/12 10:52:51 marcus Exp $
X#
X
XPORTNAME=      workrave 
XPORTVERSION=   1.8.1
XPORTREVISION=  0
XCATEGORIES=    x11 gnome
XMASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=    ${PORTNAME}
X
XMAINTAINER=    kwm@FreeBSD.org
XCOMMENT=       A Gnome RSI prevention tool
X
XLIB_DEPENDS=   gnomeuimm-2.6.1:${PORTSDIR}/x11-toolkits/libgnomeuimm26 \
X               gnet-2.0.0:${PORTSDIR}/net/gnet2
XBUILD_DEPENDS= intltool-extract:${PORTSDIR}/textproc/intltool
X
XUSE_X_PREFIX=  yes
XUSE_GMAKE=     yes
XUSE_GNOME=     gnomeprefix gnomehack intlhack gnomepanel gconf2
XUSE_GCC=       3.4
XGNU_CONFIGURE= yes
XCONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
X               LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib"
XCONFIGURE_ARGS=        --datadir=${PREFIX}/share/gnome/workrave \
X               --enable-gconf \
X               --enable-gnome \
X               --enable-exercises
X
X.include <bsd.port.mk>   
END-of-./Makefile
exit
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-08-17 07:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer.
Comment 2 Edwin Groothuis freebsd_committer 2006-01-04 20:26:51 UTC
State Changed
From-To: open->closed

Next time please submit as a "diff -ru" output. 
Next time please make sure you don't @dirrm too many directories 
Committed, thanks!